@import "../../../../global.scss";

.colorDarkBlue {
  color: $DarkBlue;
}

.borderBottom {
  border-bottom: 1px solid $DarkBlue;
}

.px35 {
  padding-left: 35px;
  padding-right: 35px;
}

.px48 {
  padding-left: 48px;
  padding-right: 48px;
}

.w270 {
  width: 270px;
}

.input {
  color: $DarkBlue;
  border: 1px solid rgba($DarkBlue, 0.3);
  border-radius: 5px;
  font-size: 14px;
  padding: 3px 5px;

  &:focus,
  &:active {
    outline: none !important;
  }
}

.header {
  background-color: $Blue;
  color: $White;
}

.btn {
  background-color: $Lime;
  color: $DarkBlue;
  font-size: 14px;
  font-weight: bold;
  padding: 3px 15px;
}

.addBtn {
  background-color: $Teal;
  color: $White;
  padding: 0;
  height: 24px;
  width: 24px;
  display: flex;
  justify-content: center;
  align-items: center;

  svg {
    height: 24px;
    width: 24px;
  }

  &:hover {
    color: $White;
  }
}

.deleteBtn {
  background-color: $White;
  color: $Teal;
  padding: 0;
  border-color: $Teal;
  height: 24px;
  width: 24px;
  display: flex;
  justify-content: center;
  align-items: center;

  svg {
    height: 24px;
    width: 24px;
  }

  &:hover {
    color: $Teal;
  }
}

.modal_height {
  height: auto;
}

.modal {
  border: none;
  overflow: auto;
  border-radius: 10px;
  height: auto;
  max-height: 75vh;

  :global(.modal-content) {
    border: none;
    border-radius: 10px;
    overflow: hidden;
  }

  &__body {
    color: $Teal;
    padding: 16px 0 0 0;
  }
}

.closeBtn {
  color: $White;
  font-size: 20px;
  padding: 0;
  margin-left: 15px;

  &:hover {
    color: $White;
  }

  svg {
    width: 30px;
    height: 30px;
  }
}

.accordion {
  &__header {
    background-color: rgba($color: $DarkBlue, $alpha: 0.2);
    border-bottom: 1px solid $DarkBlue;
    cursor: pointer;
  }

  &__body {
    color: $Teal;

    label {
      font-size: 12px;
      margin-right: 15px;
    }
  }
}

// custom scrollbar modifications
:global(.simplebar-track.simplebar-vertical
    .simplebar-scrollbar.simplebar-visible::before) {
  background: $DarkBlue;
  opacity: 1;
}

.dropdown {
  :global(.dropdown-menu) a:active {
    background-color: $DarkBlue;
  }
}

.dropdownBtn {
  &::after {
    content: "";
    display: inline-block;
    height: 8px;
    width: 8px;
    border: 1px solid;
    border-color: $DarkBlue;
    border-left: none;
    border-top: none;
    transform: rotate(45deg) translateY(-4px);
    margin-left: 20px;
  }

  color: $DarkBlue;
  border-color: rgba($DarkBlue, 0.3) !important;
  padding: 3px 15px;
  font-size: 14px;

  &:hover,
  &:active,
  &:focus {
    background-color: $White !important;
    color: $DarkBlue !important;
    border-color: rgba($DarkBlue, 0.3) !important;
    outline: none !important;
    box-shadow: none !important;
  }
}

.countryDropdown {
  max-height: 300px;
  overflow: auto;
}

.bttnRight {
  margin-top: 2em;
  background-color: $Teal;
  color: $White;
  margin-left: auto;
  display: block;
  padding: 3px 15px;
  font-size: 14px;

  &:hover {
    color: $White;
    box-shadow: none;
  }

  span:first-child {
    margin-right: -1px;
    display: inline-block;
  }
}

.solDrpdwn {
  max-height: 300px;
  overflow: auto;
}
